# Uses of Class
org.eclipse.microprofile.rest.client.tck.providers.Widget

Packages that use Widget
Package
Description
org.eclipse.microprofile.rest.client.tck.interfaces
org.eclipse.microprofile.rest.client.tck.providers

## Uses of Widget in org.eclipse.microprofile.rest.client.tck.interfaces

Methods in org.eclipse.microprofile.rest.client.tck.interfaces with parameters of type Widget
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
InterfaceBase.`executePut(Widget id, String body)`
`jakarta.ws.rs.core.Response`
InterfaceWithoutProvidersDefined.`executePut(Widget id, String body)`
`jakarta.ws.rs.core.Response`
InterfaceWithoutProvidersDefinedWithConfigKey.`executePut(Widget id, String body)`
`jakarta.ws.rs.core.Response`
InterfaceWithProvidersDefined.`executePut(Widget id, String body)`

## Uses of Widget in org.eclipse.microprofile.rest.client.tck.providers

Methods in org.eclipse.microprofile.rest.client.tck.providers that return Widget
Modifier and Type
Method
Description
`Widget`
TestParamConverter.`fromString(String s)`
`static Widget`
Widget.`fromString(String s)`
Methods in org.eclipse.microprofile.rest.client.tck.providers with parameters of type Widget
Modifier and Type
Method
Description
`String`
TestParamConverter.`toString(Widget w)`